#!/usr/bin/env python3
# vim: ft=python fileencoding=utf-8 sts=4 sw=4 et:

# Copyright 2020 Florian Bruhin (The Compiler) <mail@qutebrowser.org>

# This file is part of qutebrowser.
#
# qutebrowser is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# qutebrowser is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with qutebrowser.  If not, see <http://www.gnu.org/licenses/>.


import os
from scripts import mkvenv


def test_smoke(tmp_path):
    """Simple smoke test of mkvenv.py."""
    argv = ['--venv-dir', str(tmp_path / 'venv'), '--skip-docs']
    if 'TRAVIS' in os.environ:  # Travis doesn't have necessary libs installed
        argv.append('--skip-smoke-test')
    print(argv)
    args = mkvenv.parse_args(argv)
    mkvenv.run(args)
